Skip to main content
GET
/
cards
List Cards
curl --request GET \
  --url https://api.fyatu.com/api/v2/cards \
  --header 'Authorization: Bearer <token>' \
  --header 'Business-ID: <api-key>'
{
  "status": "success",
  "statusCode": 200,
  "errors": false,
  "message": "<string>",
  "data": {
    "cards": [
      {
        "id": "<string>",
        "cardholderId": "<string>",
        "nameOnCard": "<string>",
        "maskedNumber": "5234XX******1234",
        "expiration": "12/28",
        "type": "VISA",
        "isReloadable": true,
        "nature": "VIRTUAL",
        "status": "ACTIVE",
        "billing": {
          "address": "<string>",
          "city": "<string>",
          "state": "<string>",
          "zipCode": "<string>",
          "country": "<string>"
        },
        "meta": {},
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "terminatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "totalItems": 123,
      "totalPages": 123,
      "currentPage": 123,
      "itemsPerPage": 123
    }
  }
}

Authorizations

Business-ID
string
header
required

Your unique business identifier. Find this in your Business Settings.

Authorization
string
header
required

Your API key as a Bearer token. Example: Bearer sk_live_xxxxxxxxxxxxx

Query Parameters

page
integer
default:1
limit
integer
default:50
Required range: x <= 100

Response

Cards list retrieved

status
string
Example:

"success"

statusCode
integer
Example:

200

errors
boolean
Example:

false

message
string
data
object